/**
 * CAROL: Common Architecture for RMI Objectweb Layer
 * Copyright (C) 2009 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: InterceptorManager.java 2165 2009-05-06 07:26:22Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.carol.jndi.intercept;

import java.util.List;

/**
 * The InterceptorManager is ...
 *
 * @author Guillaume Sauthier
 */
public interface InterceptorManager {

    /**
     * Add a new interceptor in the list (at the first place).
     * @param interceptor registered interceptor
     */
    void registerContextInterceptor(final ContextInterceptor interceptor);

    /**
     * Remove the given interceptor from the list.
     * @param interceptor removed
     */
    void unregisterContextInterceptor(final ContextInterceptor interceptor);

    /**
     * @return the ordered list of interceptors
     */
    List<ContextInterceptor> getInterceptors();
}
