/**
 * Copyright (C) 2012 - Bull S.A.S.
 *
 * CAROL: Common Architecture for RMI ObjectWeb Layer
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JndiEntry.java 2221 2012-01-26 08:33:35Z cazauxj $
 * --------------------------------------------------------------------------
 */
package org.ow2.carol.util.configuration;

import java.beans.ConstructorProperties;

/**
 * Represents a Jndi entry
 * @author Jeremy Cazaux
 */
public class JndiEntry {

    /**
     * The name of the entry
     */
    private String name;

    /**
     * The value of the entry
     */
    private String value;

    /**
     * The type of the entry
     */
    private String type;

    /**
     * Default constructor
     * @param name The name of the entry to set
     * @param value The value of the entry to set
     */
    @ConstructorProperties({"name", "value", "type"})
    public JndiEntry(final String name, final String value, final String type) {
        this.name = name;
        this.value = value;
        this.type = type;
    }

    /**
     * @return the name of the entry
     */
    public String getName() {
        return this.name;
    }

    /**
     * @return the value of the entry
     */
    public String getValue() {
        return this.value;
    }

    /**
     * @return the type of the value
     */
    public String getType() {
        return this.type;
    }
}
